Skip to main content
GET
/
api
/
users
/
v1
/
user
/
{userId}
Get a user by ID
curl --request GET \
  --url https://api.example.com/api/users/v1/user/{userId} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  },
  "user": {
    "avatarUrl": "<string>",
    "firstName": "<string>",
    "fullName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "companyName": "<string>",
    "email": "<string>",
    "idpId": "<string>",
    "phoneNumber": "<string>",
    "roles": [
      "<string>"
    ]
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

userId
string
required

Id of the User to fetch

Response

Success

metadata
object
required
user
object
required